on startMovie
  global gProjWinName, gStageWidth, gStageHeight, gStageRect, gStageCenter, gScreenNum, gPrevMill, pGovTicks, gNextScreen, gSubNavState, gMenuNum, oDrawStage, oWallObjs, oOrbitCenter, oOrbitNodes, oRollText, oExitButton, oBackButton, oStaticGlows, oTextAnim, oMusicButton, oVolBg, oVolMeter, iCopyLayer, iBgLayer, iBlack, iBlackMask, iLetters, iLettersMask, oPhotosNavCenter, oPhotosNavNodes, oPhotosFrame, oPhotosPic, gPicNum, oLetters
  dosSetFrontWindow(gProjWinName)
  gStageWidth = 800
  gStageHeight = 460
  gStageRect = rect(0, 0, gStageWidth, gStageHeight)
  gStageCenter = point(gStageWidth / 2, gStageHeight / 2)
  gScreenNum = integer(line 1 of field "screenNum")
  gPrevMill = the milliSeconds
  pGovTicks = 0
  gNextScreen = EMPTY
  gSubNavState = 0
  gMenuNum = EMPTY
  oDrawStage = new(script("parent_drawStage"))
  oWallObjs = []
  oOrbitCenter = EMPTY
  oOrbitNodes = []
  oRollText = EMPTY
  oExitButton = EMPTY
  oBackButton = EMPTY
  oStaticGlows = []
  oTextAnim = []
  oMusicButton = EMPTY
  oVolBg = EMPTY
  oVolMeter = EMPTY
  create_oOrbitCenter()
  create_oOrbitNodes()
  create_oExitButton()
  create_oBackButton()
  create_oTextAnim()
  create_oVolBg()
  create_oVolMeter()
  iCopyLayer = image(gStageWidth, gStageHeight, 24)
  iCopyLayer.fill(gStageRect, rgb(0, 0, 0))
  iBgLayer = member("bg_photos").image.duplicate()
  iBlack = image(gStageWidth, gStageHeight, 24)
  iBlack.fill(gStageRect, rgb(0, 0, 0))
  iBlackMask = image(gStageWidth, gStageHeight, 24)
  iBlackMask.fill(gStageRect, rgb(0, 0, 0))
  set the mouseUpScript to "theMouseUp"
  set the keyDownScript to "theKeyDown"
  setUpAudio()
  the timeOutList = []
  iLetters = member("bg_bio").image.duplicate()
  iLettersMask = image(gStageWidth, gStageHeight, 24)
  iLettersMask.fill(gStageRect, rgb(255, 255, 255))
  oPhotosNavCenter = EMPTY
  oPhotosNavNodes = []
  oPhotosFrame = EMPTY
  oPhotosPic = EMPTY
  gPicNum = 0
  oLetters = []
  create_oPhotosNavCenter()
  create_oPhotosNavNodes()
  create_oPhotosFrame()
  create_oPhotosPic()
  timeout("typeFlag").new(3000, #initTextTO)
end

on initTextTO
  global gTextLine1, gTextCoords1, gSubNavState
  sound(1).play(member("timeout1"))
  gTextLine1 = []
  repeat with i = 1 to the number of items in field "to_letters1"
    gTextLine1.add(item i of field "to_letters1")
  end repeat
  gTextCoords1 = []
  itemDelimiter = ";"
  repeat with i = 1 to the number of lines in field "to_points1"
    gTextCoords1.add(value(line i of field "to_points1"))
  end repeat
  gSubNavState = 1
  timeout("typeFlag").forget()
end
